Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jaxws
Class GenericExportingTransactionHandler

    java.lang.Object
      com.atomikos.icatch.jaxws.GenericExportingTransactionHandler

All Implemented Interfaces:
  javax.xml.ws.handler.Handler<javax.xml.ws.handler.soap.SOAPMessageContext>, javax.xml.ws.handler.soap.SOAPHandler<javax.xml.ws.handler.soap.SOAPMessageContext>

Direct Known Subclasses:
  ExportingTransactionHandler, ExportingTransactionHandler

    public abstract class GenericExportingTransactionHandler

extends Object
implements javax.xml.ws.handler.soap.SOAPHandler<javax.xml.ws.handler.soap.SOAPMessageContext>

Copyright © 2005-2007, Atomikos. All rights reserved. A generic superclass for all protocol-specific exporting transaction handlers. This handler only works on platforms where the handler is invoked in the same thread as the actual service endpoint.

Constructor Summary
`GenericExportingTransactionHandler()`

Method Summary
`void` | `close(javax.xml.ws.handler.MessageContext ctx)`
`protected CompositeTransaction` | `getCompositeTransaction()`
`protected abstract SOAPExportingTransactionManager` | `getExportingTransactionManager()`
`boolean` | `handleFault(javax.xml.ws.handler.soap.SOAPMessageContext ctx)`
`boolean` | `handleMessage(javax.xml.ws.handler.soap.SOAPMessageContext ctx)` Inserts/extracts the transaction information to/from the message headers of the outgoing request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.xml.ws.handler.soap.SOAPHandler
`getHeaders`

Constructor Detail

### GenericExportingTransactionHandler

    public GenericExportingTransactionHandler()

Method Detail

### getExportingTransactionManager

    protected abstract SOAPExportingTransactionManager getExportingTransactionManager()

### getCompositeTransaction

    protected CompositeTransaction getCompositeTransaction()

### handleMessage

    public boolean handleMessage(javax.xml.ws.handler.soap.SOAPMessageContext ctx)
                          throws javax.xml.ws.ProtocolException

  Inserts/extracts the transaction information to/from the message headers of the outgoing request. The propagation added by this handler will be in the Atomikos format.

  Specified by:
    `handleMessage` in interface `javax.xml.ws.handler.Handler<javax.xml.ws.handler.soap.SOAPMessageContext>`
  Throws:
    `javax.xml.ws.ProtocolException` - If there is no transaction for the calling thread, or if the transaction was already rolled back.

### handleFault

    public boolean handleFault(javax.xml.ws.handler.soap.SOAPMessageContext ctx)
                        throws javax.xml.ws.ProtocolException

  Specified by:
    `handleFault` in interface `javax.xml.ws.handler.Handler<javax.xml.ws.handler.soap.SOAPMessageContext>`
  Throws:
    `javax.xml.ws.ProtocolException`

### close

    public void close(javax.xml.ws.handler.MessageContext ctx)

  Specified by:
    `close` in interface `javax.xml.ws.handler.Handler<javax.xml.ws.handler.soap.SOAPMessageContext>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.